/public/agents/{agentId}/channels/{channelType}

Creates or updates a channel configuration for the specified agent. The channel configuration is automatically linked to the API key used to authenticate this request.

PUT
/public/agents/{agentId}/channels/{channelType}

Creates or updates a channel configuration for the specified agent. The channel configuration is automatically linked to the API key used to authenticate this request.

Path Parameters

agentId*string
channelType*string
Value in"voip" | "sip" | "webrtc" | "websocket" | "kiosk"

Header Parameters

X-API-Version?string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X PUT "https://companion-api.napster.com/public/agents/string/channels/voip" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "string",
  "apiKeyId": "string",
  "channelType": "string",
  "initialSpeech": "string",
  "functions": [
    "string"
  ],
  "mcp": {
    "servers": [
      "string"
    ],
    "connectors": [
      "string"
    ]
  },
  "faqCollections": [
    "string"
  ],
  "knowledgeBaseId": "string",
  "providerSettings": {
    "instructions": "string",
    "turnDetection": {
      "threshold": 0.1,
      "prefix_padding_ms": 0,
      "silence_duration_ms": 0
    },
    "temperature": 0.1,
    "noiseReduction": {
      "type": "nearField"
    }
  },
  "humanHandoff": {
    "enabled": true,
    "transferExtension": "string",
    "transferDescription": "string"
  },
  "voipEndpoint": "string",
  "useGreenVideo": true,
  "videoPolicy": "required",
  "useWebSearch": true,
  "url": "string",
  "theme": "string",
  "locale": "string",
  "idleTimeoutSeconds": 0,
  "preferredModelVersion": "v1",
  "avatar": {
    "id": "string",
    "name": "string",
    "preview": "string",
    "video": {
      "id": "string",
      "url": "string",
      "hdUrl": "string",
      "maskUrl": "string",
      "faceDetsUrl": "string",
      "v2DataUrl": "string",
      "v2OnnxDataUrl": "string",
      "v2CoremlDataUrl": "string",
      "facePosition": [
        0.1
      ],
      "createdAt": 0
    }
  },
  "created": 0
}
{
  "code": "string",
  "description": "string",
  "type": "failure",
  "numericType": 0
}